View Issue Details

IDProjectCategoryView StatusLast Update
0002688SymmetricDSBugpublic2016-07-22 12:03
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.35 
Target Version3.7.36Fixed in Version3.7.36 
Summary0002688: Heartbeats don't propagate properly in a multi-master situation
DescriptionIn a multi-master/peer-to-peer configuration, where there is also a root node, heartbeats will not propagate between the peer nodes.

For example, given a configuration node group links like this:
registers push to root
registers push to registers.

In this configuration, the root node will receive heartbeats from the registers, but the registers don't receive heartbeats from the other registrers, and end up with incorrect data in sym_node and sym_node_host.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 4ebe85e4

2016-07-20 15:26:31

mmichalek

Details Diff
0002688: Heartbeats don't propagate properly in a multi-master situation
0002688
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2016-07-20 15:24 mmichalek New Issue
2016-07-20 15:24 mmichalek Status new => assigned
2016-07-20 15:24 mmichalek Assigned To => mmichalek
2016-07-20 16:00 mmichalek Changeset attached => SymmetricDS 3.7 4ebe85e4
2016-07-21 09:06 mmichalek Status assigned => resolved
2016-07-21 09:06 mmichalek Resolution open => fixed
2016-07-21 09:06 mmichalek Fixed in Version => 3.7.36
2016-07-22 12:03 chenson Status resolved => closed